; Data for the sheets

dsMount_Col	equ 0			; Colour of the mountains
dspName		equ 1;2			; Name of the sheet
dspWave		equ 3;4			; Attack wave list

lSheet_Defn	equ 5			; The length

; The number of sheets

nSheets		equ 12			; Play this many

	; Sheet 1

Sheet_Defns	db Blue			; Mount colour
		dw Name1		; Name of sheet
		dw Wave1		; Attack wave data

	; Sheet 2

		db Blue			;
		dw Name2		;
		dw Wave2		;

	; Sheet 3

		db Red			;
		dw Name3		;
		dw Wave3		;

	; Sheet 4

		db Magenta		;
		dw Name4		;
		dw Wave4		;

	; Sheet 5

		db Magenta		;
		dw Name5		;
		dw Wave5		;

	; Sheet 6

		db Cyan			;
		dw Name6		;
		dw Wave6		;

	; Sheet 7

		db Cyan			;
		dw Name7		;
		dw Wave7		;

	; Sheet 8

		db Blue			;
		dw Name8		;
		dw Wave8		;

	; Sheet 9

		db Blue			;
		dw Name9		;
		dw Wave9		;

	; Sheet 10

		db Red			;
		dw Name10		;
		dw Wave10		;

	; Sheet 11

		db Red			;
		dw Name11		;
		dw Wave11		;

	; Sheet 12

		db Magenta		;
		dw Name12		;
		dw Wave12		;

; Level names

Name1		db 1,B_Cyan		;
		db "Arcadia",0		;

Name2		db 1,B_Cyan		;
		db "Secundus",0		;

Name3		db 1,B_Cyan		;
		db "Ringworld",0	;

Name4		db 1,B_Cyan		;
		db "Gateway",0		;

Name5		db 1,B_Cyan		;
		db "OwensPark",0	;

Name6		db 1,B_Cyan		;
		db "CheethamHill",0	;

Name7		db 1,B_Cyan		;
		db "Hyperboria",0	;

Name8		db 1,B_Cyan		;
		db "Mundania",0		;

Name9		db 1,B_Cyan		;
		db "ColdComfort",0	;

Name10		db 1,B_Cyan		;
		db "Fantasia",0		;

Name11		db 1,B_Cyan		;
		db "Kzinti",0		;

Name12		db 1,B_Cyan		;
		db "Moria",0		;

; Attack waves, data

dwCode		equ 0;1			; Offset to pCreate
dwTime		equ 2;3			;
dwNext		equ 4;5			;

; Now the definition of attack wave 1

;************************** Wave 1 ***************************

Wave1		dw Create_4_Lander	; Ptr to create routine
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3300			; 1 minute
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3500			; 2 minutes
		dw 0			;

		; Fed up, baiters

Wave1_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 900			; 10 seconds
		dw Wave1_End		;


;************************** Wave 2 ***************************

Wave2		dw Create_4_Lander	; Ptr to create routine
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3000			; 1 minute
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3000			; 2 minutes
		dw 0			;

		; Fed up, baiters

Wave2_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 800			; 10 seconds
		dw Wave2_End		;


;************************** Wave 3 ***************************

Wave3		dw Create_4_Lander	; Ptr to create routine
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3000			; 1 minute
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 2800			; 2 minutes
		dw 0			;

		; Fed up, baiters

Wave3_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 750			; 10 seconds
		dw Wave3_End		;


;************************** Wave 4 ***************************

Wave4		dw Create_4_Lander	; Ptr to create routine
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 350			; 1 second
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 1200			; 1 minute
		dw 0			;

		dw Create_1_Pod		; Pod
		dw 1000			; 1 second
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_1_Pod		; Pod
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 210			; 3
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3300			; 2 minutes
		dw 0			;

		; Fed up, baiters

Wave4_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 650			; 10 seconds
		dw Wave4_End		;


;************************** Wave 5 ***************************

Wave5		dw Create_1_Pod		; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Pod		; Bomber
		dw 700			; 1 second
		dw 0			;

		dw Create_1_Bomber	; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 1200			; 1 minute
		dw 0			;

		dw Create_1_Pod		; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Pod		; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_1_Bomber	; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Bomber
		dw 70			; 1 second
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 210			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4
		dw 3000			; 2 minutes
		dw 0			;

		; Fed up, baiters

Wave5_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 700			; 10 seconds
		dw Wave5_End		;


;************************** Wave 6 ***************************

Wave6		dw Create_1_Pod		; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 700			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_4_Lander	;
		dw 210			;
		dw 0			;

		dw Create_4_Lander	;
		dw 700			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_4_Lander	;
		dw 700			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_4_Lander	;
		dw 210			;
		dw 0			;

		dw Create_4_Lander	;
		dw 2800			;
		dw 0			;

		; Fed up, baiters

Wave6_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 650			; 10 seconds
		dw Wave6_End		;

;************************** Wave 7 ***************************

Wave7		dw Create_1_Mutant	; Two mutants, same as 6
		dw 30			;
		dw 0			;

		dw Create_1_Mutant	;
		dw 30			;
		dw Wave6		;

;************************** Wave 8 ***************************

Wave8		dw Create_4_Mutants	; Mutant suprise
		dw 140			;
		dw Wave7		;

;************************** Wave 9 ***************************

Wave9		dw Create_1_Baiter	; Baiter suprise
		dw 140			;
		dw Wave7		;

;************************** Wave 10 ***************************

Wave10		dw Create_1_Baiter	; Baiter suprise
		dw 30			;
		dw 0

		dw Create_1_Baiter	;
		dw 30			;
		dw Wave8		;

;************************** Wave 11 ***************************

Wave11		dw Create_1_Baiter	; Baiter suprise
		dw 30			;
		dw 0

		dw Create_1_Baiter	;
		dw 70			;
		dw 0			;

		dw Create_4_Mutants	;
		dw 30			;
		dw Wave10		;

;************************** Wave 12 ***************************

Wave12		dw Create_1_Baiter	; Baiter suprise
		dw 30			;
		dw 0

		dw Create_1_Baiter	;
		dw 30			;
		dw 0			;

		dw Create_4_Mutants	;
		dw 30			;
		dw 0			;

		dw Create_1_Pod		; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_1_Bomber	; Ptr to create routine
		dw 70			; 3 seconds
		dw 0			;

		dw Create_4_Lander	; 4 more 
		dw 700			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_4_Lander	;
		dw 210			;
		dw 0			;

		dw Create_4_Mutants	;
		dw 1000			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_1_Baiter	;
		dw 700			;
		dw 0			;

		dw Create_1_Pod		;
		dw 70			;
		dw 0			;

		dw Create_1_Bomber	;
		dw 70			;
		dw 0			;

		dw Create_4_Lander	;
		dw 210			;
		dw 0			;

		dw Create_4_Lander	;
		dw 1000			;
		dw 0			;

		; Fed up, baiters

Wave12_End	dw Create_1_Baiter	; Infinite baiter loop
		dw 600			; 10 seconds
		dw Wave12_End		;

; Vars

pName		dw 0			; In DS since the names are . . 
pWave		dw 0			; etc